Subject: RE: [Mipshop] new charter

From: "Singh Ajoy-ASINGH1" <[email-masked]>
Date: Tue, 11 Oct 2005 08:55:26 -0400

-----Original Message-----
From: Yoshihiro Ohba [mailto:[email-masked]] 
Sent: Monday, October 10, 2005 8:53 PM
To: Singh Ajoy-ASINGH1
Cc: Rajeev Koodli; [email-masked]; James Kempf;
[email-masked]; Petrescu Alexandru-AAP021
Subject: Re: [Mipshop] new charter

On Mon, Oct 10, 2005 at 04:20:25PM -0400, Singh Ajoy-ASINGH1 wrote:
> 
> Ajoy-> CARD provides generic query mechanism that can be used by
mobile
> node to query various mobility related information required for proper
> network selection. In my view, L2->L3 is nothing but one example of
> information query.  IMHO, this does not belong to FMIP and better left
> to protocol such as CARD. 

I am not sure what is the definition of "generic" in the above text.
As far as I understand, a more generic query mechanism (than CARD) is
based on an information schema language together with a query language
that works for querying information defined using the schema language.

Ajoy-> I am not comparing CARD query mechanism with XML. If folks think
XML is more appropriate then we will go with XML. CARD is generic enough
for mobility related query mechanism. 

Yoshihiro Ohba

> 
> If CARD provides target AR selection or router - router neoighborhood 
> map population, that could be useful.
> 
> Ajoy-> CARD provides a mechanism for information query that can be
used
> by network selection purpose. Target network selection itself is
> implementation.  
> 
> 
> Regards,
> 
> -Rajeev
> 
> 
> 
> 
> > 
> > Regards,
> > Ajoy 
> > 
> > -----Original Message-----
> > From: Rajeev Koodli [mailto:[email-masked]] 
> > Sent: Monday, October 10, 2005 2:31 PM
> > To: Singh Ajoy-ASINGH1
> > Cc: Petrescu Alexandru-AAP021; [email-masked]; James Kempf;
> > [email-masked]
> > Subject: Re: [Mipshop] new charter
> > 
> > 
> > 
> > Singh Ajoy-ASINGH1 wrote:
> > 
> > 
> >>Ajoy-> I am confused why FMIPv6 needs to define Information Service
> >>protocol. 
> > 
> > 
> > It does not.
> > It continues to use the PrRt* messages, perhaps with a harmonized 
> > message structure defined by the "handover information exchange"
> > protocol.
> > 
> > -Rajeev
> > 
> > 
> > 
> >>I guess FMIPv6 was defined to take care of routing aspect of 
> >>Fast Mobile/IP. CARD was deigned for Information Query Response and
> >>Context Transfer protocol was defined to transfer context from one
AR
> > 
> > to
> > 
> >>other. 
> >>
> >>
> >>
> 
> _______________________________________________
> Mipshop mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mipshop
> 
> 

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: Yoshihiro Ohba <[email-masked]>
Date: Tue, 11 Oct 2005 15:43:54 -0400

Ajoy,

Although I don't still understand what is your criteria for stating
that CARD is generic CARD is generic enough for mobility related query
mechanism, I can say that CARD is at least NOT generic enough to
support heterogeneous handovers like 802.21 is dealing with for the
following reasons.

For example, CARD has an information filtering mechanism by based on
Preferences and Requirements Sub-Options where filtering is important
for reducing the amount of information exchanged over the air.
However, when multiple AVPs are contained in the Preferences and
Requirements Sub-Options, CARD is not clear as to whether the
conditions specified by those AVPs are "AND" or "OR" conditions or
both "AND" and "OR" conditions can be mixed.  Also, the Requirements
Sub-Options do not seem to readily support inequality conditions such
as "greater than" or range of values without specifying all AVPs that
matches values in the range.  Also, I don't know how to specify a
requirement when only one AVP with multiple fields is contained in the
Requirements Sub-Option where the requirement is satisfied when only a
specific sub-field of the AVP matches the specified value.  (BTW, I
don't understand why Preferences and Requirements should be
distinguished while both are just filtering conditions.)

Those issues are really important for dealing with heterogeneity.  I
think an appropriate schema language and query language are needed to
address those issues.  On the other hand, in the CARD protocol they
are not clearly addressed or just left as out of scope.  To me the
current CARD protocol is proprietary solution and hard to be
applicable for supporting heterogeneous handovers.

Regards,
Yoshihiro Ohba